/**
 * Przykład konstruktora klasy
 */
class Person {
  String firstName;
  String lastName;

  Person(String firstName, String lastName) {
    this.firstName = firstName;
    this.lastName = lastName;
  }
  // to samo co:
  // Person(this.firstName, this.lastName);

  Person.anonymous() {}

  String getFullName() => "$firstName $lastName";
}

main() {
  // Person somePerson = new Person(); nie skompiluje się, ponieważ zdefiniowaliśmy obowiązkowe parametry w konstruktorze
  Person somePerson = new Person("Clark", "Kent");

  print(somePerson.getFullName());
}
